// ===== EXAM PART 1 =====

// Immutable class representing a word and its path in a word puzzle.
public class WordPath {
    // EXAM: Instance variables go here.

    // Constructor that gets a word and its path as arguments.
    public WordPath(String word, int[] pathCols, int[] pathRows) {
        // EXAM: Your code goes here.
    }

    // Constructor that reads a word and path from a file.
    public WordPath(String filename) {
        // EXAM: Your code goes here.
    }

    // Return the word.   
    public String getWord() {
        // EXAM: Your code goes here.
    }
    
    // Return the length.   
    public int getLength() {
        // EXAM: Your code goes here.
    }
    
    // Return the character at the given index in the word.   
    public char charAt(int index) {
        // EXAM: Your code goes here.
    }

    // Return the column at the given index in the path.   
    public int colAt(int index) {
        // EXAM: Your code goes here.
    }
    
    // Return the row at the given index in the path.   
    public int rowAt(int index) {
        // EXAM: Your code goes here.
    }

    // Return a string representation of the word and its path.
    // For example: "HELLO: H(0,0) E(1,0) L(2,0) L(3,0) O(4,0)"
    public String toString() {
        // EXAM: Your code goes here.
    }

    // Test client. Tests all public methods in the class.
    public static void main(String[] args) {
        // EXAM: Your code goes here.
    }

}